# Interface WeatherReqParams

Request options

interface WeatherReqParams {
custom?: { [key: string]: string | number | boolean | object | null };
maxCount?: number;
startDate?: string;
}

- Defined in weatherapi.ts:295

##### Index

### Properties

custom?
maxCount?
startDate?

## Properties

### `Optional` custom

custom?: { [key: string]: string | number | boolean | object | null }

Additional query parameters in the API request

- Defined in weatherapi.ts:298

### `Optional` maxCount

maxCount?: number

Maximum number of records to return

- Defined in weatherapi.ts:296

### `Optional` startDate

startDate?: string

Start date of forecast / observation data (format: YYYY-MM-DD)

- Defined in weatherapi.ts:297